%global commitId 67d7878d2735f92577133239710557b7232ca3f7

Name:          aap-azure-billing
Version:       0.2.4
Release:       1%{?dist}
Summary:       Ansible Automation Platform Billing connector

License:       ASL 2.0
URL:           git@github.com:ansible/ansible-automation-platform-azure-billing.git
Source0:       aap-cloud-billing-67d7878d2735f92577133239710557b7232ca3f7.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-boto3
Requires:      python%{python3_pkgversion}-dateutil
Requires:      python%{python3_pkgversion}-django
Requires:      python%{python3_pkgversion}-requests
Requires:      python%{python3_pkgversion}-psycopg2

%description
Ansible Automation Platform Billing connector

%prep
%autosetup -n aap-cloud-billing-%{commitId} -S git

%build
export PBR_VERSION=%{version}
%{py3_build}

%install
export PBR_VERSION=%{version}
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-billing
%{_bindir}/aap-billing-manage
%license LICENSE
%doc ChangeLog README.rst

%changelog
* Wed Oct 12 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Tue Oct 11 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Tue Oct 04 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Tue Aug 16 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Thu Mar 17 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Tue Nov 23 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure-billing 0.0.1
